<div class="flex flex-col flex-auto items-left sm:justify-center min-w-0"
    style="background-color:#F8F8F8;background-image: url('assets/images/logo/sign-in-1.svg'); background-size: contain; background-repeat: no-repeat; background-position: bottom;">
    <!-- Logo -->
    <div class="w-full sm:w-auto px-4 sm:p-1 shadow bg-white">
        <div class="container mx-auto flex justify-between">
            <div class="container mx-auto flex items-center h-14 px-4 mb-3 pb-0">
                <!-- Light version -->
                <img class="dark:hidden w-30" src="assets/images/logo/bursa-malaysia-logo.svg" alt="Logo image">
                <!-- Dark version -->
                <img class="hidden dark:flex w-30" src="assets/images/logo/bursa-malaysia-logo.svg" alt="Logo image">
            </div>
            <div class="flex items-center">
                <a href="https://www.bursamalaysia.com" target="_blank" class="mt-6 mb-6 font-333 font-Regular-18"
                    style="white-space: nowrap;">BGD
                    Microsite</a>
            </div>
        </div>
    </div>

    <div class="container flex justify-between">
        <div class="flex items-center"> <mat-icon class="mt-6 mb-6 "
                style="color: #F8F8F8;">keyboard_arrow_left</mat-icon><span class="mt-6 mb-6 font-Semibold-16"
                style="color: #F8F8F8;">Back</span></div>
        <div><mat-icon class="mt-6 cursor-pointer" style="color: #0038FF;">help_outline</mat-icon></div>
    </div>

    <div class="flex flex-col flex-auto items-center sm:justify-center min-w-0">


        <div class="w-full xl:p-12 md:p-12 sm:p-12 shadow bg-white box-width" style="max-width: 491px;">
            <div class="w-full xl:px-8 sm:px-8">

                <!-- Title -->
                <div class="font-Semibold-24 text-center font-141461">Welcome to
                </div>

                <div class="xl:px-16 sm:px-16 mt-2.5 image-width">
                    <img src="assets/images/bgd/login-logo.svg">
                </div>

                <div class="mt-5 font-Regular-14 font-7B7B7B text-center ">
                    <div>A secure and convenient gold investment and trading platform to diversify your wealth</div>

                </div>

                <!-- Alert -->
                <fuse-alert class="mt-8" *ngIf="showAlert" [appearance]="'outline'" [showIcon]="false"
                    [type]="alert.type" [@shake]="alert.type === 'error'">
                    {{alert.message}}
                </fuse-alert>

                <!-- Sign in form -->
                <form class="mt-8" [formGroup]="signInForm" #signInNgForm="ngForm">

                    <!-- Email field -->
                    <mat-form-field class="w-full" appearance="outline">
                        <mat-label style="color:#D1D3D4">Email Address</mat-label>
                        <input id="username" matInput type="email" [formControlName]="'username'"
                            placeholder="Email Address" readonly (focus)="clearAutofill()" autocomplete="off"
                            autocorrect="off" autocapitalize="none" spellcheck="false">

                        <mat-error *ngIf="signInForm.get('username').hasError('required')">
                            Email address is required
                        </mat-error>
                        <mat-error *ngIf="signInForm.get('username').hasError('username')">
                            Please enter a valid email address
                        </mat-error>
                    </mat-form-field>


                    <!-- Password field -->
                    <mat-form-field class="mt-2 border-blue-200	 w-full" appearance="outline">
                        <mat-label style="color:#D1D3D4">Password</mat-label>
                        <input id="password" matInput type="password" [formControlName]="'password'" #passwordField
                            placeholder="Password" autocomplete="off" autocorrect="off" autocapitalize="none"
                            spellcheck="false">

                        <button mat-icon-button type="button"
                            (click)="passwordField.type === 'password' ? passwordField.type = 'text' : passwordField.type = 'password'"
                            matSuffix>
                            <mat-icon class="icon-size-5" *ngIf="passwordField.type === 'password'"
                                [svgIcon]="'heroicons_solid:eye-off'"></mat-icon>
                            <mat-icon class="icon-size-5" *ngIf="passwordField.type === 'text'"
                                [svgIcon]="'heroicons_solid:eye'"></mat-icon>
                        </button>

                        <mat-error>
                            Password is required
                        </mat-error>
                    </mat-form-field>

                    <!-- Actions -->
                    <div class="items-center text-right w-full">
                        <a class="font-Regular-14 font-0038ff" [routerLink]="['/forgot-password']">Forgot Your
                            Password?
                        </a>
                    </div>

                    <!-- Submit button -->
                    <button class="fuse-mat-button-large w-full mt-6 button-r5" style="border-radius:5px !important;"
                        mat-flat-button [color]="'primary'" [disabled]="signInForm.disabled" (click)="signIn()">
                        <span *ngIf="!signInForm.disabled" class="font-Semibold-16">
                            Login
                        </span>
                        <mat-progress-spinner *ngIf="signInForm.disabled" [diameter]="24"
                            [mode]="'indeterminate'"></mat-progress-spinner>
                    </button>

                    <div class="flex items-center mt-6">
                        <div class="flex-auto mt-px"></div>
                        <div class="mx-2 font-Regular-16 font-333">Don't have an account?</div>
                        <div class="flex-auto mt-px"></div>
                    </div>

                    <div class="flex items-center mt-2.5">
                        <div class="flex-auto mt-px"></div>
                        <a class="ml-1 font-Regular-16 font-0038ff underline" [routerLink]="['/investor-type']">Create
                            Free
                            Account
                        </a>
                        <div class="flex-auto mt-px"></div>
                    </div>


                </form>
            </div>
        </div>
    </div>